diff --git a/ruby-puma.cygport b/ruby-puma.cygport
index 2288980..d2eaf1d 100644
--- a/ruby-puma.cygport
+++ b/ruby-puma.cygport
@@ -1,13 +1,18 @@
 inherit rubygem
 
 NAME="ruby-puma"
-VERSION=3.11.4
+VERSION=6.2.2
 RELEASE=1
 CATEGORY="Ruby"
 SUMMARY="Ruby Rack HTTP server"
 DESCRIPTION="Puma is a simple, fast, threaded, and highly concurrent HTTP/1.1
 server for Ruby/Rack applications. Puma is intended for use in both development
 and production environments."
+PATCH_URI="https://src.fedoraproject.org/rpms/rubygem-puma/raw/rawhide/f/rubygem-puma-3.6.0-fedora-crypto-policy-cipher-list.patch"
+
+BUILD_REQUIRES="libssl-devel"
+
+LICENSE="BSD-3-Clause"
 
 PKG_NAMES="${NAME} ${NAME}-doc"
 ruby_puma_CONTENTS="usr/bin/puma* ${RUBYGEM_EXTDIR#/} ${RUBYGEM_INSTDIR#/} ${RUBYGEM_SPEC#/}"
